TikTok LIVE

Fetch information from the TikTok LIVE Webcast API.

The TikTok LIVE API provides real-time access to live stream data including chat messages, gifts, viewer counts, and more. Connect to any public TikTok LIVE stream via WebSocket or fetch signed URLs for direct API access.

Retrieve Webcast rankings

GEThttps://api.eulerstream.com/webcast/rankings

Retrieve TikTok LIVE rankings for a specific region. This is NOT a catalogue endpoint, and is available with any paid plan.

Query Parameters

region*enum

The region (country) with which to fetch a feed from.

rank_type*enum

The type of ranking to fetch. See documentation for more details.

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

x-image-sourceenum

Where a scraped image URL should be served from. Selected per-request via the x-image-source header. Defaults to {@link RouteImageSource.ORIGIN}.

Responses

code*number (double)
messagestring
responseobject
region*object
Response200

Retrieve Webcast feed

GEThttps://api.eulerstream.com/webcast/feed

Fetch the TikTok LIVE webcast feed for a specific region. Gets a random sampling of creators for a region.

Query Parameters

region*enum

The region (country) with which to fetch a feed from.

Header Parameters

x-image-sourceenum

Where a scraped image URL should be served from. Selected per-request via the x-image-source header. Defaults to {@link RouteImageSource.ORIGIN}.

Responses

code*number (double)
messagestring
responseobject
region*object
Response200

Retrieve bulk live check

POSThttps://api.eulerstream.com/webcast/bulk_live_check

A bulk-check endpoint to determine if a group of TikTok users (up to 50 at once) are live. It uses a highly optimized job-based system for checking large numbers of users quickly.

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Request Body

Required

The body of the request containing user numeric IDs (e.g. 7602356191083907865).

user_numeric_ids*string[]
session_idstring
tt_target_idcstring

Responses

code*number (double)
messagestring
responseobject
Response200

Retrieve hashtag list

GEThttps://api.eulerstream.com/webcast/hashtags

Retrieve the list of available hashtags for TikTok LIVE streams.

Header Parameters

x-image-sourceenum

Where a scraped image URL should be served from. Selected per-request via the x-image-source header. Defaults to {@link RouteImageSource.ORIGIN}.

Responses

code*number (double)
messagestring
responseobject
Response200